//FE2D - [2020-06-22 11:41:46]
#ifndef _FE2D_H_
#define _FE2D_H_

#include "CFTTTexture.h"
#include "CFTT2D_TextureUV.h"
#include "CBlurVShader.h"
#include "FETU.h"

/*
00148B34 FE2D_DrawRectCol(float,float,float,float,uint)
00148B6C FE2D_DrawRectCol(float,float,float,float,uint,uint,uint,uint)
00148BB4 FE2D_DrawTriangle(float,float,float,float,float,float,bool,uint)
00148BF0 FE2D_DrawRectColRot(float,float,float,float,uint,float,float,float)
00148C14 FE2D_DrawRectColRot(float,float,float,float,uint,uint,uint,uint,float,float,float)
00148C38 FE2D_DrawRectColRotAA(float,float,float,float,uint,float,float,float,TImage *)
00148CE8 FE2D_DrawTexScaleColCropRot(TImage *,float,float,float,float,uint,float,float,float,float,float,float,float)
00148D44 FE2D_DrawTex(CFTTTexture *,float,float)
00148D90 FE2D_DrawTex(TImage *,float,float)
00148DD4 FE2D_SetValidImage(TImage *)
00148DF4 FE2D_DrawTexScale(CFTTTexture *,float,float,float,float)
00148E28 FE2D_DrawTexScale(TImage *,float,float,float,float)
00148E58 FE2D_DrawTexCol(CFTTTexture *,float,float,uint)
00148EA8 FE2D_DrawTexCol(TImage *,float,float,uint)
00148EEC FE2D_DrawTexScaleCol(CFTTTexture *,float,float,float,float,uint)
00148F20 FE2D_DrawTexScaleCol(TImage *,float,float,float,float,uint)
00148F4C FE2D_DrawTexScaleCol(TImage *,float,float,float,float,uint,uint,uint,uint)
00148F88 FE2D_DrawTexScaleCrop(CFTTTexture *,float,float,float,float,float,float,float,float)
00148FE0 FE2D_DrawTexScaleCrop(TImage *,float,float,float,float,float,float,float,float)
00149034 FE2D_SetValidImage(TImage *,CFTT2D_TextureUV *)
00149054 FE2D_DrawTexScaleRot(CFTTTexture *,float,float,float,float,float,float,float)
0014908E FE2D_DrawTexScaleRot(TImage *,float,float,float,float,float,float,float)
001490C8 FE2D_DrawTexColCrop(CFTTTexture *,float,float,uint,float,float,float,float)
00149124 FE2D_DrawTexColCrop(TImage *,float,float,uint,float,float,float,float)
0014917C FE2D_DrawTexScaleColCrop(CFTTTexture *,float,float,float,float,uint,float,float,float,float)
001491D0 FE2D_DrawTexScaleColCrop(TImage *,float,float,float,float,uint,float,float,float,float)
00149224 FE2D_DrawTexScaleColCrop(CFTTTexture *,float,float,float,float,uint,uint,uint,uint,float,float,float,float)
0014928C FE2D_DrawTexScaleColCrop(TImage *,float,float,float,float,uint,uint,uint,uint,float,float,float,float)
001492EC FE2D_DrawTexScaleColRot(CFTTTexture *,float,float,float,float,uint,float,float,float)
00149324 FE2D_DrawTexScaleColRot(TImage *,float,float,float,float,uint,float,float,float)
0014935A FE2D_DrawTexScaleColCropRot(TImage *,float,float,float,float,uint,uint,uint,uint,float,float,float,float,float,float,float)
001493C4 FE2D_DrawTexScaleColCropRot(CFTTTexture *,float,float,float,float,uint,float,float,float,float,float,float,float)
00149422 FE2D_DrawLineCol(float,float,float,float,uint,bool)
00149428 FE2D_DrawLineColX(float,float,float,float,float,uint,TImage *)
00149528 FE2D_DrawDottedLineColX(float,float,float,float,float,float,uint)
00149628 FE2D_DrawDottedCurveLineCol(float,float,float,float,float,float,float,uint)
00149684 FE2D_DrawDottedCurveLineColX(float,float,float,float,float,float,float,float,uint)
00149788 FE2D_DrawDottedCurveLineColXS(float,float,float,float,float,float,float,float,uint,TImage *)
001497F0 FE2D_DrawDottedCurveLineColXXS(float,float,float,float,float,float,float,float,float,uint,TImage *)
00149A40 FE2D_DrawStarburst(float,float,int,float const*,int const*,float const*,uint const*)
00149C24 FE2D_SetBlendPartAdditive()
00149C34 FE2D_SetBlendModulate()
00149C48 FE2D_DrawUnfilledRect(float,float,float,float,uint,float,float,float)
00149C4C FE2D_DrawBox(float,float,float,float,uint)
00149CF0 FE2D_DrawShadowBG(float,float,float,float,float,uint,uint)
00149DD0 FE2D_Init()
00149E98 FE2D_Shutdown()
00149F90 FE2D_SetBlendMat(int)
00149F94 FE2D_SetBlendAdditive()
00149FA8 FE2D_SetBlendAdditiveSimple()
00149FBC FE2D_SetBlendSubtractiveSimple()
00149FD0 FE2D_SetBlendSubtractive()
00149FE4 FE2D_SetBlendRTTAlphaAccum()
00149FF8 FE2D_SetBlendOff()
0014A00C FE2D_SetBlendJustAlpha()
0014A020 FE2D_SetBlendMultiply()
0014A034 FE2D_SetBlendMultiply2x()
0014A048 FE2D_SetBlendSheenEffect()
0014A104 FE2D_SetBlendBlurVariable(float,float,EBlurVShader_Mode,CFTTTexture *)
0014A1A4 FE2D_SetBlendKitGen()
*/

//00148B34
void FE2D_DrawRectCol(float, float, float, float, uint);

//00148B6C
void FE2D_DrawRectCol(float, float, float, float, uint, uint, uint, uint);

//00148BB4
void FE2D_DrawTriangle(float, float, float, float, float, float, bool, uint);

//00148BF0
void FE2D_DrawRectColRot(float, float, float, float, uint, float, float, float);

//00148C14
void FE2D_DrawRectColRot(float, float, float, float, uint, uint, uint, uint, float, float, float);

//00148C38
void FE2D_DrawRectColRotAA(float, float, float, float, uint, float, float, float, TImage *);

//00148CE8
void FE2D_DrawTexScaleColCropRot(TImage *, float, float, float, float, uint, float, float, float, float, float, float, float);

//00148D44
void FE2D_DrawTex(CFTTTexture *, float, float);

//00148D90
void FE2D_DrawTex(TImage *, float, float);

//00148DD4
void FE2D_SetValidImage(TImage *);

//00148DF4
void FE2D_DrawTexScale(CFTTTexture *, float, float, float, float);

//00148E28
void FE2D_DrawTexScale(TImage *, float, float, float, float);

//00148E58
void FE2D_DrawTexCol(CFTTTexture *, float, float, uint);

//00148EA8
void FE2D_DrawTexCol(TImage *, float, float, uint);

//00148EEC
void FE2D_DrawTexScaleCol(CFTTTexture *, float, float, float, float, uint);

//00148F20
void FE2D_DrawTexScaleCol(TImage *, float, float, float, float, uint);

//00148F4C
void FE2D_DrawTexScaleCol(TImage *, float, float, float, float, uint, uint, uint, uint);

//00148F88
void FE2D_DrawTexScaleCrop(CFTTTexture *, float, float, float, float, float, float, float, float);

//00148FE0
void FE2D_DrawTexScaleCrop(TImage *, float, float, float, float, float, float, float, float);

//00149034
void FE2D_SetValidImage(TImage *, CFTT2D_TextureUV *);

//00149054
void FE2D_DrawTexScaleRot(CFTTTexture *, float, float, float, float, float, float, float);

//0014908E
void FE2D_DrawTexScaleRot(TImage *, float, float, float, float, float, float, float);

//001490C8
void FE2D_DrawTexColCrop(CFTTTexture *, float, float, uint, float, float, float, float);

//00149124
void FE2D_DrawTexColCrop(TImage *, float, float, uint, float, float, float, float);

//0014917C
void FE2D_DrawTexScaleColCrop(CFTTTexture *, float, float, float, float, uint, float, float, float, float);

//001491D0
void FE2D_DrawTexScaleColCrop(TImage * pImage, float f1, float f2, float f3, float f4, uint a5, float f6, float f7, float f8, float f9);

//00149224
void FE2D_DrawTexScaleColCrop(CFTTTexture *, float, float, float, float, uint, uint, uint, uint, float, float, float, float);

//0014928C
void FE2D_DrawTexScaleColCrop(TImage *, float, float, float, float, uint, uint, uint, uint, float, float, float, float);

//001492EC
void FE2D_DrawTexScaleColRot(CFTTTexture *, float, float, float, float, uint, float, float, float);

//00149324
void FE2D_DrawTexScaleColRot(TImage *, float, float, float, float, uint, float, float, float);

//0014935A
void FE2D_DrawTexScaleColCropRot(TImage *, float, float, float, float, uint, uint, uint, uint, float, float, float, float, float, float, float);

//001493C4
void FE2D_DrawTexScaleColCropRot(CFTTTexture *, float, float, float, float, uint, float, float, float, float, float, float, float);

//00149422
void FE2D_DrawLineCol(float, float, float, float, uint, bool);

//00149428
void FE2D_DrawLineColX(float, float, float, float, float, uint, TImage *);

//00149528
void FE2D_DrawDottedLineColX(float, float, float, float, float, float, uint);

//00149628
void FE2D_DrawDottedCurveLineCol(float, float, float, float, float, float, float, uint);

//00149684
void FE2D_DrawDottedCurveLineColX(float, float, float, float, float, float, float, float, uint);

//00149788
void FE2D_DrawDottedCurveLineColXS(float, float, float, float, float, float, float, float, uint, TImage *);

//001497F0
void FE2D_DrawDottedCurveLineColXXS(float, float, float, float, float, float, float, float, float, uint, TImage *);

//00149A40
void FE2D_DrawStarburst(float, float, int, float const *, int const *, float const *, uint const *);

//00149C24
void FE2D_SetBlendPartAdditive();

//00149C34
void FE2D_SetBlendModulate();

//00149C48
void FE2D_DrawUnfilledRect(float, float, float, float, uint, float, float, float);

//00149C4C
void FE2D_DrawBox(float, float, float, float, uint);

//00149CF0
void FE2D_DrawShadowBG(float, float, float, float, float, uint, uint);

//00149DD0
void FE2D_Init();

//00149E98
void FE2D_Shutdown();

//00149F90
void FE2D_SetBlendMat(int);

//00149F94
void FE2D_SetBlendAdditive();

//00149FA8
void FE2D_SetBlendAdditiveSimple();

//00149FBC
void FE2D_SetBlendSubtractiveSimple();

//00149FD0
void FE2D_SetBlendSubtractive();

//00149FE4
void FE2D_SetBlendRTTAlphaAccum();

//00149FF8
void FE2D_SetBlendOff();

//0014A00C
void FE2D_SetBlendJustAlpha();

//0014A020
void FE2D_SetBlendMultiply();

//0014A034
void FE2D_SetBlendMultiply2x();

//0014A048
void FE2D_SetBlendSheenEffect();

//0014A104
void FE2D_SetBlendBlurVariable(float f1,
                               float f2,
                               EBlurVShader_Mode eMode,
                               CFTTTexture * pTex);

//0014A1A4
void FE2D_SetBlendKitGen();

extern int FE2D_iMaterialSDFFontVisFB;  //003365A8

//-------------------------------------------------------------------------------------------------
#endif  //_FE2D_H_